Search these docs, or ask Revo a question — answers link the pages they came from.
Updates an existing framework in the system.
PUT
/api/v1/{tenantId}/simulator/framework
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
Request Body
Section titled “Request Body ”object
framework
object
id
string
definitionKey
string
standardParams
object
width
number format: double
height
number format: double
length
number format: double
offset
object
x
number format: double
y
number format: double
z
number format: double
transformMatrix
Array<number>
shelfConfig
object
positions
string
isBottomShelfPresent
boolean
isBottomFramePresent
boolean
preloadGenericModels
Array<string>
type
string
Responses
Section titled “ Responses ”OK
object
Bad Request
object
message
string
code
string
Not Found
object
message
string
code
string
Too Many Requests
object
message
string
code
string
Service Unavailable
object
message
string
code
string
Gateway Timeout
object
message
string
code
string